import React, { useState, useEffect } from 'react';
import { Input, Space, Tabs } from 'antd';

const { Search } = Input;
function Download() {
  const onSearch = (value) => {
    console.log(value);
  };

  const items = [
    { label: '宣传画册及其他', key: '1', children: 'Content 1' }, // remember to pass the key prop
    { label: '硬件产品资料', key: '2', children: 'Content 2' },
    { label: '软件产品资料', key: '3', children: 'Content 2' },
  ];

  return (
    <div id="mesContainer">
      <div style={{ position: 'relative' }}>
        <img
          src={require('@/assets/fac9.jpg')}
          alt=""
          style={{ width: '100%' }}
        />
        <div
          className="diyinput"
          style={{
            position: 'absolute',
            left: 0,
            right: 0,
            top: 0,
            bottom: 0,
            margin: 'auto',
            width: '20vw',
            height: 42,
            minWidth: 320,
          }}
        >
          <Search
            placeholder="输入关键词搜索"
            onSearch={onSearch}
            enterButton
            size="large"
            style={{ borderRadius: 6, overflow: 'hidden' }}
          />
        </div>
      </div>
      <div className="section">
        <Tabs items={items} />
      </div>
    </div>
  );
}

export default Download;
